import * as tslib_1 from "tslib";
import * as React from "react";
import NumberField from "./NumberField";
var CurrencyField = /** @class */ (function (_super) {
    tslib_1.__extends(CurrencyField, _super);
    function CurrencyField() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.humanize = function (money) {
            var _a = (money || 0).toFixed(2).split('.'), dollar = _a[0], cents = _a[1];
            var value = ('$ ' +
                dollar
                    .split('')
                    .reverse()
                    .reduce(function (acc, money, i) {
                    return money + (i && !(i % 3) ? ',' : '') + acc;
                }, ''));
            return parseInt(cents) !== 0 ? [value, cents].join('.') : value;
        };
        return _this;
    }
    CurrencyField.prototype.shouldComponentUpdate = function (nextProps) {
        return nextProps.value !== this.props.value || nextProps.disabled !== this.props.disabled;
    };
    CurrencyField.prototype.render = function () {
        var _a = this.props, value = _a.value, disabled = _a.disabled, onChange = _a.onChange;
        return (React.createElement(NumberField, { value: value, displayContent: this.humanize(value), disabled: disabled, onChange: onChange }));
    };
    CurrencyField.defaultProps = {
        disabled: false
    };
    return CurrencyField;
}(React.Component));
export default CurrencyField;
//# sourceMappingURL=CurrencyField.js.map